# Sections Sections ## Gets all of the sections in the system. - [GET /sections/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/listsections.md): This method will scan all sections and and return them to the caller. ## Creates a new section record that does not already exist. - [POST /sections/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/createsection.md): This method will auto-generate an ID and create a new section. If an ID is specified for the section, an error will be thrown. ## Execute Batch Operations - [POST /sections/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of sections for a given membership package - [GET /sections/{tenantId}/portal/describeSections/{membershipPackageId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/describesectionsformembershippackage.md): Returns a list of sections for a given membership package ## Returns a list of sections for a given membership package - [GET /sections/{tenantId}/portal/describeSections/{membershipPackageId}/{memberType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/describesectionsformembershippackageandmember.md): Returns a list of sections for a given membership package ## Searches for sections using predefined parameters - [POST /sections/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/searchforsections.md): Searches for sections using predefined parameters ## Returns a section from the system by its ID. - [DELETE /sections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/deletesection.md): This method will delete a section with the specified ID. ## Returns a section from the system by its ID. - [GET /sections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/getsection.md): This method will look up a section by the specified ID and return it back. ## Partially updates a section with the specified ID. - [PATCH /sections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/patchsection.md): This method will patch an existing section with the specified ID, using the HTTP PATCH specification. ## Updates a section with the specified ID. - [PUT /sections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/updatesection.md): This method will update an existing section with the specified ID.